import {Client} from 'discord.js';

interface CreateClientParams {
	intents: bigint;
}

export const createClient = (params: CreateClientParams) => {
	const client = new Client({
		intents: params.intents.toString() as `${bigint}`,
	});

	return client;
};
