import {Channel, ClientEvents, ForumChannel} from 'discord.js';

export interface BotContext {
	channel?: ForumChannel;
	onMessageCreate: (listener: (...args: ClientEvents['messageCreate']) => void) => any;
	onThreadCreate: (listener: (...args: ClientEvents['threadCreate']) => void) => any;
	fetchChannel: (threadId: string) => Promise<Channel | null>;
}
